﻿Imports Syncfusion.Windows.Forms
Imports Syncfusion.Windows.Forms.Tools
Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq
Imports System.Text
Imports System.Threading.Tasks
Imports System.Windows.Forms

Namespace TabbedMDI_Manager
	Partial Public Class Form1
		Inherits MetroForm

		'Initilaize 

		Private tabControl As TabControlAdv
		Private form3 As New Form()
		Private form4 As New Form()
		Private form5 As New Form()
		Public Sub New()
			InitializeComponent()
			tabbedMDIManager1.UseIconsInTabs = False
		End Sub


		#Region "Event"

		''' <summary>
		''' Raise Event on form load
		''' </summary>
		''' <param name="sender"></param>
		''' <param name="e"></param>
		Private Sub Form1_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
			AddHandler Me.tabbedMDIManager1.TabControlAdded, AddressOf TabbedMDIManager1_TabControlAdded
			Dim form1 As New Form()
			Dim form2 As New Form()
			form1.Text = "tabpage1"
			form2.Text = "tabpage2"
			form3.Text = "Add New Tab"
			form1.MdiParent = Me
			form2.MdiParent = Me
			form3.MdiParent = Me
			form2.Show()
			form3.Show()
			form1.Show()
		End Sub

		''' <summary>
		''' Event to handle configure the tab control's behavior.
		''' </summary>
		''' <param name="sender"></param>
		''' <param name="args"></param>
		Private Sub TabbedMDIManager1_TabControlAdded(ByVal sender As Object, ByVal args As Syncfusion.Windows.Forms.Tools.TabbedMDITabControlEventArgs)
			tabControl = New TabControlAdv()
			tabControl = args.TabControl
			'Tab size
			tabControl.ItemSize = New Size(30, 30)
			'Create New Tab, when click the Plus(+) tab
			AddHandler tabControl.Click, AddressOf TabControl_Click
		End Sub

		''' <summary>
		''' Event to handle the Add new tab page on click
		''' </summary>
		''' <param name="sender"></param>
		''' <param name="e"></param>
		Private Sub TabControl_Click(ByVal sender As Object, ByVal e As EventArgs)
			'Add New TabPage
			If tabControl.SelectedTab.Text = "Add New Tab" Then
				Dim forms() As Form = Me.MdiChildren
				For Each c As Form In forms
					If c.Text = "Add New Tab" Then
						form4 = New Form()
						form4.Text = "New Tab"
						form4.MdiParent = Me
						form4.Show()
						form3.Close()
						form3 = New Form()
						form3.Text = "Add New Tab"
						form3.MdiParent = Me
						Exit For

					End If
				Next c
			End If
		End Sub

		#End Region

	End Class

End Namespace
